/**
 * All content on this website (including text, images, source
 * code and any other original works), unless otherwise noted,
 * is licensed under a Creative Commons License.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Copyright (C) Open-Xchange Inc., 2006-2011
 */
define('oxguard/pgp/settings', [
    'io.ox/core/extensions',
    'gettext!oxguard'
], function (ext, gt) {
    'use strict';

    // Add settings for PGP to the Settings Page
    ext.point('io.ox/settings/pane/main/oxguard').extend({
        title: gt('Guard PGP Settings'),
        id: 'oxguard/pgp',
        loadSettingPane: true,
        index: 100
    });
});
