/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Open-Xchange Inc., Tarrytown, NY, USA. info@open-xchange.com
 *
 * @author Julian Bäume <julian.baeume@open-xchange.com>
 */
define('oxguard/util', [
], function () {
    'use strict';

    var api = {};

    /**
     * Test if guard is configured.
     *
     * @return true if configured; false otherwise
     */
    api.isGuardConfigured = function () {
        return window.oxguarddata.passcode !== 'No Key';
    };

    return api;
});
